Subject: Re: bug#33678: Locale problems

From: Marius Bakke <[email-masked]>
Date: Sat, 08 Dec 2018 23:56:24 +0100

Danny Milosavljevic <[email-masked]> writes:

> (Aha, updating just xterm fixes the problem).
>
> When locales don't work, I can't enter umlauts at all - they get replaced by a
> "generic" character that isn't an umlaut, even when checked using a hexdump
> tool.
>
> So not only couldn't I see the umlauts, I couldn't type them blindly either.

Does adding locales for both the new and old libc to your system help?

E.g.:

(operating-system
  [...]
  (locale-libcs (list glibc-2.27 (canonical-package glibc))))

?